Bug 831551 - [RFE] bkr distros-list --tag wildcard support
[RFE] bkr distros-list --tag wildcard support
Status: NEW
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
0.8
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
Misc
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 05:42 EDT by Ales Zelinka
Modified: 2016-10-17 20:16 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Zelinka 2012-06-13 05:42:24 EDT
distro searching by tag doesn't support wildcards:

bkr distros-list --help
Usage: bkr distros-list

Options:
  -h, --help                     show this help message and exit
  --username=USERNAME            specify user
  --password=PASSWORD            specify password
  --limit=LIMIT                  Limit results to this many (default 10)
  --tag=TAG                      filter by tag
  --name=NAME                    filter by name, use % for wildcard
  --treepath=TREEPATH            filter by treepath, use % for wildcard
  --labcontroller=LABCONTROLLER  filter by lab controller, use % for wildcard
  --family=FAMILY                filter by family
  --arch=ARCH                    filter by arch


Please implement wildcard search for tag too. 

use-case: searching for latest release candidate for rhel-6.3. The distros are tagged as RHEL-6.3-RC-X, where X starts as 1 and is incremented with every new compose (currently at 3). I'd like to be able to run

bkr distros-list --tag RHEL-6.3-RC-% 

and then pick the newest distro.
Comment 1 Nick Coghlan 2012-10-17 00:37:01 EDT
Bulk reassignment of issues as Bill has moved to another team.
Comment 3 matt jia 2016-10-17 20:16:52 EDT
We have supported wildcard in distro name in bug 1200427, so we will do the same for --tag here as well.

Note You need to log in before you can comment on or make changes to this bug.